Page MenuHomePhabricator

Closed tasks are included by default in search results
Closed, DeclinedPublic

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
Qgil triaged this task as Low priority.Oct 26 2014, 5:41 AM
Qgil added a project: Phabricator.
Qgil added a subscriber: Qgil.

I also wonder whether this default can be configured to show only Open and Needs Info.

Aklapper lowered the priority of this task from Low to Lowest.Oct 27 2014, 4:24 PM
Aklapper added a subscriber: Aklapper.

I'm not sure that the current situation is bad, seeing users creating duplicates in Bugzilla because a task has already been fixed in the codebase but not deployed yet or WONTFIXed/declined.

So it's not unnecessarily noisy to me, it's maybe just what you're used to as a power user. :)

So it's not unnecessarily noisy to me, it's maybe just what you're used to as a power user. :)

Closed bugs are more than open bugs, so it's by definition noise.

Qgil added a comment.Nov 20 2014, 9:10 PM

Note that users can change their default via https://phabricator.wikimedia.org/search/query/edit/ , by placing their preferred query on top. For instance, I have "Open Tasks" by default.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 27 2014, 12:57 PM
Qgil added a comment.Dec 8 2014, 10:17 AM

I'm not sure that the current situation is bad, seeing users creating duplicates in Bugzilla because a task has already been fixed in the codebase but not deployed yet or WONTFIXed/declined.
So it's not unnecessarily noisy to me, it's maybe just what you're used to as a power user. :)

That makes sense too. Proposing to decline this request, then.

For what is worth, I have documented how to customize your default search query at https://www.mediawiki.org/wiki/Phabricator/Help#Defining_your_default_search_parameters

Aklapper closed this task as Declined.Dec 15 2014, 6:20 PM
Aklapper claimed this task.

As per T885#15740 and the given options in T885#24234 I'm closing this as declined. I haven't seen any other complaints about the default behavior.
Different types of users have different needs, they can be set up by following https://www.mediawiki.org/wiki/Phabricator/Help#Defining_your_default_search_parameters